Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.advisor
Class OutputToInputTransform

    java.lang.Object
      com.bea.p13n.advisor.AbstractAdviceTransform
          com.bea.p13n.advisor.OutputToInputTransform

All Implemented Interfaces
  AdviceConstants, AdviceRequestConstants, AdviceTransform, AdvisletChainElement

Direct Known Subclasses:
  OutputListItemToInputTransform

    public class OutputToInputTransform

extends AbstractAdviceTransform

This is an `AdviceTransform` that takes the last RESULT key (getResult return value) from the `Advice` object and puts it into the key specified in the "output-key" parameter field in the `AdviceRequest`. If the `Advice` is `null` or incomplete no transformation is performed.

Field Summary

Fields inherited from interface com.bea.p13n.advisor.AdviceConstants
`RESULTS`

Fields inherited from interface com.bea.p13n.advisor.AdviceRequestConstants
`CATALOG_QUERY_WRAPPER, CONTENT_APPEND_QUERY_STRING, CONTENT_MANAGER, CONTENT_MANAGER_HOME, CONTENT_QUERY_CONTEXT_PARAMS, CONTENT_QUERY_MAX_ITEMS, CONTENT_QUERY_NODE, CONTENT_QUERY_SORT_BY, CONTENT_QUERY_STRING, CONTENT_SEARCH_PATHS, CONTEXT_HANDLER, DATE, HTTP_REQUEST, HTTP_SESSION, NOW, RULES_FILTER_CLASS, RULES_FILTER_CLASS_NAME, RULES_INPUT_OBJECTS, RULES_RULENAME_TO_FIRE, RULES_RULESET_NAME, SHOPPING_CART, TIME, TIME_INSTANT, USER`

Constructor Summary
`OutputToInputTransform(Advisor ignore, Metadata metadata)` Construct an instance of this object and bind it to its `Advisor` and `Metadata` instances.

Method Summary
`String` | `getRequestKey()` Returns the request key.
`String` | `getSpecificKey()` Returns the request-specific key.
`String` | `getSpecificValue()` Returns the request-specific value.
`boolean` | `initialize(Map parameters, Object parameterDocument)` Initializes this with the given `parameters` and a `parameterDocument`.
`void` | `transform(Advice input, AdviceRequest output)` Transforms the given `Advice` into `AdviceRequest` to pass it to another `Advisor` in the advislet chain defined in the advislet registry.

Methods inherited from class com.bea.p13n.advisor.AbstractAdviceTransform
`getMetadata, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OutputToInputTransform

    public OutputToInputTransform(Advisor ignore,
                                  Metadata metadata)

  Construct an instance of this object and bind it to its `Advisor` and `Metadata` instances.

  Parameters
    `ignore` - the advisor for this object.
    `metadata` - the metadata for this object.

Method Detail

### initialize

    public boolean initialize(Map parameters,
                              Object parameterDocument)
                       throws AdvisorException

  Description copied from class: `AbstractAdviceTransform`
  Initializes this with the given `parameters` and a `parameterDocument`.

  Specified by:
    `initialize` in interface `AdvisletChainElement`
  Overrides:
    `initialize` in class `AbstractAdviceTransform`
  Parameters
    `parameters` - A map containing key-value pairs.
    `parameterDocument` - An `Object` representing a parameter document.
  Returns
    returns `true` if this operation is successful, otherwise returns `false`.
  Throws
    `AdvisorException` - If an error occurs during initialization process.

### transform

    public void transform(Advice input,
                          AdviceRequest output)
                   throws AdvisorException

  Description copied from class: `AbstractAdviceTransform`
  Transforms the given `Advice` into `AdviceRequest` to pass it to another `Advisor` in the advislet chain defined in the advislet registry.

  Specified by:
    `transform` in interface `AdviceTransform`
  Overrides:
    `transform` in class `AbstractAdviceTransform`
  Parameters
    `input` - An `Advice` from which the parameters are extracted and transformed.
    `output` - An `AdviceRequest` that is prepared from the given `Advice`.
  Throws
    `AdvisorException` - If an error occurs during the transformation process.

### getRequestKey

    public String getRequestKey()

  Returns the request key.

  Returns
    The request key.

### getSpecificKey

    public String getSpecificKey()

  Returns the request-specific key.

  Returns
    the request-specific key.

### getSpecificValue

    public String getSpecificValue()

  Returns the request-specific value.

  Returns
    the request-specific value.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved